Closed Thread
Results 1 to 4 of 4

Thread: Game Tells me I'm out of date, even though Im not.

  1. #1
    Junior Member
    Join Date
    Apr 2020
    Posts
    2

    Game Tells me I'm out of date, even though Im not.

    The game was successfully updated, but it continues to say that I am out of date when I launch through the Glyph launcher. Trying to launch the game through steam, the application hangs during version check, and seems to be unable to verify. Its still responsive, I can move the mouse, but the audio stops, and I cannot close the game with the x button, I have to Force Quit. Same thing happens if I try to launch the PTS.

  2. #2
    Moderator GhostRiders's Avatar
    Join Date
    Feb 2020
    Location
    Poland
    Posts
    210
    Hi frannky101

    First of all try to change the region from US to EU and vice versa if that not helps, read this article - https://support.gamigo.com/hc/en-us/...roubleshooting
    IGN: GhostRider28
    Discord: GhostRiders#5481

    TroveSupport!

  3. #3
    Junior Member
    Join Date
    Apr 2020
    Posts
    2
    I am on mac, and have already performed the steps listed on the Mac general support page. Nothing has worked.

  4. #4
    Moderator GhostRiders's Avatar
    Join Date
    Feb 2020
    Location
    Poland
    Posts
    210
    If you are Mac user we can't help you because Mac is no longer supported by Trove.

    You have more info about that here - http://forums.trovegame.com/showthre...port-For-Trove
    IGN: GhostRider28
    Discord: GhostRiders#5481

    TroveSupport!

Closed Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts